Altibase.jdbc.driver.sharding.strategy

## Class CompositeShardingStrategy

- java.lang.Object
- - Altibase.jdbc.driver.sharding.strategy.CompositeShardingStrategy

All Implemented Interfaces:
  ShardingStrategy

    public class CompositeShardingStrategy
    extends java.lang.Object
    implements ShardingStrategy

### Constructor Summary

Constructors
Constructor and Description
`CompositeShardingStrategy(ShardRangeList aShardRangeList, DataNode aDefaultNode, java.util.List<ShardSplitMethod> aShardSplitMethodList, int aShardValueCnt, int aShardSubValueCnt)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<DataNode>` `doSharding(java.util.List<java.lang.Comparable<?>> aShardValues)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompositeShardingStrategy

    public CompositeShardingStrategy(ShardRangeList aShardRangeList,
                                     DataNode aDefaultNode,
                                     java.util.List<ShardSplitMethod> aShardSplitMethodList,
                                     int aShardValueCnt,
                                     int aShardSubValueCnt)

### Method Detail

#### doSharding

    public java.util.List<DataNode> doSharding(java.util.List<java.lang.Comparable<?>> aShardValues)
                                        throws java.sql.SQLException

Specified by:
  `doSharding` in interface `ShardingStrategy`
Throws:
  `java.sql.SQLException`